How to upgrade few years old installation? Its redownloading lots of packages and after that fail..

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :)

Moderator: Moderators

ruthan
Young Hen
Posts: 20
Joined: Wed May 27, 2020 13:38

How to upgrade few years old installation? Its redownloading lots of packages and after that fail..

Post by ruthan » Wed May 27, 2020 14:15

Hello,
i need to help with upgrade old Sabayon installation (4.4 kernel), everytime, when i try something to update, it download lots of packages - it took lots of time and after that it just fail with message on photo..

What i have to do, for success updating?

Here is image with error message:
https://www.dropbox.com/s/mp5xqv29e5pv1 ... 0.jpg?dl=0

Stupot
Sagely Hen
Posts: 1816
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: How to upgrade few years old installation? Its redownloading lots of packages and after that fail..

Post by Stupot » Thu May 28, 2020 13:19

Start by just updating entropy itself.

Code: Select all

# equo i equo
Hopefully that does the trick.

ruthan
Young Hen
Posts: 20
Joined: Wed May 27, 2020 13:38

Re: How to upgrade few years old installation? Its redownloading lots of packages and after that fail..

Post by ruthan » Thu May 28, 2020 20:46

Hmm, again 375 packages download, i guess that it would end with same result.. There is picture of message what is at the start of upgrading..
https://www.dropbox.com/s/3rqi77n24spdf ... 2.jpg?dl=0

Stupot
Sagely Hen
Posts: 1816
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: How to upgrade few years old installation? Its redownloading lots of packages and after that fail..

Post by Stupot » Thu May 28, 2020 22:26

hmm yeah, the latest entropy packages probably rely on the newst glibc, so you probably can't around updating at least glibc along with entropy. Seems like you need to update to use the sabayon-lib-migration and you can't update because of the sabayon-lib-migration. That is a tricky pickle.

That said, it should be fine to let that command run all the threw and fail. The packages should have already been downloaded and cached from the previous run.

ruthan
Young Hen
Posts: 20
Joined: Wed May 27, 2020 13:38

Re: How to upgrade few years old installation? Its redownloading lots of packages and after that fail..

Post by ruthan » Fri May 29, 2020 1:06

So what i have to do?

Im quite sure that with every try to install anything.. im getting it that redownload that 375 packages and fail loop..

Stupot
Sagely Hen
Posts: 1816
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: How to upgrade few years old installation? Its redownloading lots of packages and after that fail..

Post by Stupot » Fri May 29, 2020 14:29

The best bet is going to be a fresh install. Backup the data you want to keep, wipe, reinstall, re-instate the data from the backup.

Obviously that isn't really what you want to have to do though. That said, if your packages are a few years old, maybe a rolling distro isn't the right choice for the job.

joost
Sagely Hen
Posts: 2818
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands
Contact:

Re: How to upgrade few years old installation? Its redownloading lots of packages and after that fail..

Post by joost » Fri May 29, 2020 22:31

Actually this is a pure Gentoo Portage thing.

https://forums.gentoo.org/viewtopic-t-1 ... ight-.html

Perhaps you can fix it.

====

Having said that. I really would advise you to do a fresh install.
My blog | Mastodon | Please support Sabayon: Become a Patron

ruthan
Young Hen
Posts: 20
Joined: Wed May 27, 2020 13:38

Re: How to upgrade few years old installation? Its redownloading lots of packages and after that fail..

Post by ruthan » Fri May 29, 2020 23:29

Thanks, but fresh install is not option, i like my system configuration.. and fresh installation is just give up.. I managed to port even old Win XP on Z390m also with other Linux distros from same period.. i hoped that with rolling distro it would be easier..

ruthan
Young Hen
Posts: 20
Joined: Wed May 27, 2020 13:38

Re: How to upgrade few years old installation? Its redownloading lots of packages and after that fail..

Post by ruthan » Sat May 30, 2020 10:43

Im not really sure what to do. In link above, is something about conf files changes:
sync-type = webrsync

It this should avoid that very long 376 packages rechecking, or enable make it successful, it fails..

I dont understand by everythime when i use equo - i have for installation 1 package download 376 of them?

I dont also understand why i get mesage, that i dont have enough space for installation. is still something downloaded. Whole that sequence make no much sense..

ruthan
Young Hen
Posts: 20
Joined: Wed May 27, 2020 13:38

Re: How to upgrade few years old installation? Its redownloading lots of packages and after that fail..

Post by ruthan » Wed Jun 03, 2020 4:36

Im still stuck here, it read link above but i really have hard time to translate it into what really to do..

This is blocker:
## Source Package Manager is too old, please update it: UnsupportedAPIException()

There should be some slow way package by package or incremental updating i hope..

Post Reply